> ## Documentation Index
> Fetch the complete documentation index at: https://langwatch.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Simulation Runs

> List simulation runs, optionally filtered by scenarioSetId or batchRunId



## OpenAPI

````yaml GET /api/simulation-runs
openapi: 3.1.0
info:
  title: LangWatch API
  version: 1.0.0
  description: LangWatch openapi spec
servers:
  - url: https://app.langwatch.ai
security:
  - project_api_key: []
paths:
  /api/simulation-runs:
    get:
      description: List simulation runs, optionally filtered by scenarioSetId or batchRunId
      operationId: getApiSimulation-runs
      parameters:
        - in: query
          name: scenarioSetId
          schema:
            type: string
        - in: query
          name: batchRunId
          schema:
            type: string
        - in: query
          name: limit
          schema:
            type: integer
            exclusiveMinimum: 0
            maximum: 100
            default: 20
        - in: query
          name: cursor
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  runs:
                    type: array
                    items:
                      type: object
                      properties:
                        scenarioId:
                          type: string
                        batchRunId:
                          type: string
                        scenarioRunId:
                          type: string
                        name:
                          type:
                            - string
                            - 'null'
                        description:
                          type:
                            - string
                            - 'null'
                        status:
                          type: string
                        results:
                          type:
                            - object
                            - 'null'
                          properties:
                            verdict:
                              type:
                                - string
                                - 'null'
                            reasoning:
                              type:
                                - string
                                - 'null'
                            metCriteria:
                              type: array
                              items:
                                type: string
                            unmetCriteria:
                              type: array
                              items:
                                type: string
                            error:
                              type:
                                - string
                                - 'null'
                        messages:
                          type: array
                          items:
                            type: object
                            properties:
                              role:
                                type: string
                              content:
                                type: string
                            required:
                              - role
                              - content
                        timestamp:
                          type: number
                        updatedAt:
                          type: number
                        durationInMs:
                          type: number
                        totalCost:
                          type: number
                        platformUrl:
                          type: string
                          format: uri
                      required:
                        - scenarioId
                        - batchRunId
                        - scenarioRunId
                        - name
                        - description
                        - status
                        - results
                        - messages
                        - timestamp
                        - updatedAt
                        - durationInMs
                        - platformUrl
                  hasMore:
                    type: boolean
                  nextCursor:
                    type: string
                required:
                  - runs
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    project_api_key:
      type: apiKey
      in: header
      name: X-Auth-Token
      description: >-
        Project API key for sending traces and accessing project-scoped
        resources. Format: sk-lw-... (no underscore). Obtain one by creating a
        project via the Admin API or the LangWatch UI.

````